arch/mma.h File Reference

Templates exposing architecture support for multiply-add operations. More...

`#include "cutlass/array.h"`
`#include "cutlass/numeric_types.h"`
`#include "cutlass/gemm/gemm.h"`
`#include "cutlass/arch/mma_sm50.h"`
`#include "cutlass/arch/mma_sm60.h"`
`#include "cutlass/arch/mma_sm61.h"`
`#include "cutlass/arch/mma_sm70.h"`
`#include "cutlass/arch/mma_sm75.h"`
Include dependency graph for arch/mma.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::arch::Mma< Shape_, kThreads_, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator >
| Matrix multiply-add operation. More...
struct | cutlass::arch::Mma< gemm::GemmShape< 1, 1, 1 >, 1, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator >
| Matrix multiply-add operation - specialized for 1x1x1x1 matrix multiply operation. More...

## Namespaces

| cutlass
| cutlass::arch